Index: Kwiki-0.38/lib/Kwiki/Command.pm
--- Kwiki-0.38/lib/Kwiki/Command.pm.orig	2005-04-03 12:50:54 +0200
+++ Kwiki-0.38/lib/Kwiki/Command.pm	2005-11-12 19:31:54 +0100
@@ -112,7 +112,7 @@
         next unless $self->is_kwiki_dir($dir);
         $self->msg('Updating ', $dir->absolute->pathname, "\n");
         $dir->chdir;
-        system("kwiki -quiet -update");
+        system("@l_prefix@/bin/kwiki -quiet -update");
     }
 }
 
Index: Kwiki-0.38/lib/Kwiki/Config.pm
--- Kwiki-0.38/lib/Kwiki/Config.pm.orig	2005-03-25 07:44:44 +0100
+++ Kwiki-0.38/lib/Kwiki/Config.pm	2005-11-12 19:31:54 +0100
@@ -174,11 +174,11 @@
 # Put overrides in the top level config.yaml
 # See: http://www.kwiki.org/?ChangingConfigDotYaml
 #
-site_title: Kwiki
+site_title: OpenPKG Kwiki
 main_page: HomePage
 database_directory: database
 logo_image: palm90.png
-script_name: index.cgi
+script_name: 
 __!config.yaml__
 # Put all local overrides/modifications to the config/* files in this
 # file. Do not modify any of the files under the config/ directory as
Index: Kwiki-0.38/lib/Kwiki/Display.pm
--- Kwiki-0.38/lib/Kwiki/Display.pm.orig	2005-02-24 17:07:18 +0100
+++ Kwiki-0.38/lib/Kwiki/Display.pm	2005-11-12 19:31:54 +0100
@@ -86,7 +86,7 @@
 __template/tt2/display_changed_by.html__
 [% IF self.preferences.display_changed_by.value %]
 [% page = hub.pages.current %]
-<div style="background-color: #eee">
+<div class="changedby">
 <em>
 Last changed by [% page.edit_by_link %] at [% page.edit_time %]
 </em>
Index: Kwiki-0.38/lib/Kwiki/Formatter.pm
--- Kwiki-0.38/lib/Kwiki/Formatter.pm.orig	2005-03-20 07:55:13 +0100
+++ Kwiki-0.38/lib/Kwiki/Formatter.pm	2005-11-12 19:31:54 +0100
@@ -345,7 +345,7 @@
 package Kwiki::Formatter::HyperLink;
 use base 'Spoon::Formatter::Unit';
 const formatter_id => 'hyper';
-our $pattern = qr{\w+:(?://|\?)\S+?(?=[),.:;]?\s|$)};
+our $pattern = qr{(?:\w+:(?://|\?)|http:)\S+?(?=[),.:;]?\s|$)};
 const pattern_start => qr/$pattern|!$pattern/;
 
 sub html {
@@ -361,7 +361,7 @@
 use base 'Spoon::Formatter::Unit';
 const formatter_id => 'titlehyper';
 const pattern_start => 
-  qr{\[(?:\s*([^\]]+)\s+)?(\w+:(?://|\?)[^\]\s]+)(?:\s+([^\]]+)\s*)?\]};
+  qr{\[(?:\s*([^\]]+)\s+)?((?:\w+:(?://|\?)|http:)[^\]\s]+)(?:\s+([^\]]+)\s*)?\]};
 
 sub html {
     my $text = $self->escape_html($self->matched);
Index: Kwiki-0.38/lib/Kwiki/Pages.pm
--- Kwiki-0.38/lib/Kwiki/Pages.pm.orig	2005-03-17 22:15:31 +0100
+++ Kwiki-0.38/lib/Kwiki/Pages.pm	2005-11-12 19:31:54 +0100
@@ -290,17 +290,17 @@
 __!database/HomePage__
 === Welcome to Your New Kwiki!
 
-You have successfully installed a new Kwiki. Now you should /edit this page/ and start adding NewPages. For help on Kwiki syntax and other Kwiki issues, visit http://www.kwiki.org/?KwikiHelpIndex.
+You have successfully installed a new [http://en.wikipedia.org/wiki/Wiki Wiki] with [http://www.openpkg.org/ OpenPKG] [http://www.kwiki.org/ Kwiki].
+Now you should [http:?action=edit&page_name=HomePage edit this page]
+and start [http:?action=new_page adding new pages] to this Kwiki.
+Use the [http:admin/ administrator view] for setting the privacy level of your Kwiki pages.
 
-If this installation looks more mundane than you had expected after visiting Kwiki sites like http://www.kwiki.org, you need to install some *Kwiki plugins*. Some of the basic plugins you might want are:
+For help on Kwiki syntax see *KwikiFormattingRules* and try it out in the *KwikiSandbox*.
+For help on /other/ Kwiki issues, visit [http://www.kwiki.org/?KwikiHelpIndex KwikiHelpIndex].
 
-* Kwiki::!RecentChanges
-* Kwiki::Search
-* Kwiki::!UserPreferences
-* Kwiki::!UserName
-* Kwiki::Archive::Rcs
-* Kwiki::Revisions
+If this installation looks more mundane than you had expected after visiting Kwiki
+sites like http://www.kwiki.org/, you need to activate more *Kwiki plugins* in
+the Kwiki "[=plugins]" file.
 
-These plugin modules are available on [CPAN http://search.cpan.org/search?query=kwiki&mode=dist]. Visit http://www.kwiki.org/?KwikiPluginInstallation to learn more about installing plugins.
+--[http://www.kwiki.org/?BrianIngerson Brian Ingerson] (Kwiki author) and the [http://www.openpkg.org/ OpenPKG] team (Kwiki packaging).
 
---[http://www.kwiki.org/?BrianIngerson Brian Ingerson]
Index: Kwiki-0.38/lib/Kwiki/Theme/Basic.pm
--- Kwiki-0.38/lib/Kwiki/Theme/Basic.pm.orig	2005-02-24 17:07:17 +0100
+++ Kwiki-0.38/lib/Kwiki/Theme/Basic.pm	2005-11-12 19:31:54 +0100
@@ -36,6 +36,7 @@
 <td id="group_1">
 <div class="navigation">
 [% INCLUDE theme_title_pane.html %]
+<p/>
 [% INCLUDE theme_toolbar_pane.html %]
 [% INCLUDE theme_status_pane.html %]
 </div>
@@ -71,6 +72,9 @@
     
 #group {
     width: 100%;
+    background: #ffffff; 
+    padding: 20px 40px 20px 40px;
+    border: 1px solid #000000;
 }
 
 #group_1 {
@@ -83,7 +87,9 @@
 }
 
 body {
-    background:#fff;        
+    background: #cccccc;
+    border: 10px solid #cccccc;
+    margin: 0px;
 }
 
 h1, h2, h3, h4, h5, h6 {
Index: Kwiki-Diff-0.03/lib/Kwiki/Diff.pm
--- Kwiki-Diff-0.03/lib/Kwiki/Diff.pm.orig	2005-01-30 15:44:26 +0100
+++ Kwiki-Diff-0.03/lib/Kwiki/Diff.pm	2005-11-12 19:31:54 +0100
@@ -177,6 +177,11 @@
 <img src="icons/gnome/image/diff.png" alt="Differences" />
 <!-- END diff_button_icon.html -->
 
+__icons/crystal/template/diff_button_icon.html__
+<!-- BEGIN diff_button_icon.html -->
+<img src="icons/crystal/image/revisions.png" alt="Differences" />
+<!-- END diff_button_icon.html -->
+
 __template/tt2/diff_controls.html__
 <!-- BEGIN diff_controls.html -->
 <a href="[% script_name %]?action=revisions&page_name=[% page_uri %]&revision_id=[% revision_id %]" accesskey="r" title="Revision [% revision_id %]">
Index: Kwiki-Favorites-0.13/lib/Kwiki/Favorites.pm
--- Kwiki-Favorites-0.13/lib/Kwiki/Favorites.pm.orig	2005-01-11 17:03:22 +0100
+++ Kwiki-Favorites-0.13/lib/Kwiki/Favorites.pm	2005-11-12 19:31:54 +0100
@@ -111,7 +111,7 @@
 }
 </script>
 <form>
-<input type="checkbox" name="favorite" onchange="favorites_change(this)" [% IF hub.cookie.jar.favorites.$page_name %]checked[% END %] />
+<input type="checkbox" class="favorite" name="favorite" onchange="favorites_change(this)" [% IF hub.cookie.jar.favorites.$page_name %]checked[% END %] />
 Favorite?
 <iframe height="0" width="0" frameborder="0"></iframe>
 </form>
Index: Kwiki-ForeignLinkGlyphs-0.02/lib/Kwiki/ForeignLinkGlyphs.pm
--- Kwiki-ForeignLinkGlyphs-0.02/lib/Kwiki/ForeignLinkGlyphs.pm.orig	2004-08-26 16:59:17 +0200
+++ Kwiki-ForeignLinkGlyphs-0.02/lib/Kwiki/ForeignLinkGlyphs.pm	2005-11-12 19:31:54 +0100
@@ -108,6 +108,6 @@
 Allow from all
 
 __plugin/foreignlinkglyphs/foreignlinkglyph.png__
-iVBORw0KGgoAAAANSUhEUgAAAAYAAAAGAQMAAAGtBU2dAAAABlBMVEX/AAD///9BHTQRAAAAB3RJ
-TUUH0gsbCAwXQp9teAAAABV0RVh0U29mdHdhcmUAWFBhaW50IDIuNi4yxFiwnAAAABpJREFUeJxj
-aGBgYDjAAAINYJjA8IChg2EOADOMBSV4TVvKAAAAAElFTkSuQmCC
+iVBORw0KGgoAAAANSUhEUgAAAAYAAAAGAQMAAADaAn0LAAAABlBMVEX/////AADrWueTAAAAAXRS
+TlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAACxMAAAsTAQCanBgAAAAHdElNRQfVAQ4RAjhU
+SGrkAAAAFElEQVQI12OwYZBhsGEoYUhgSAAACQQByefTiF8AAAAASUVORK5CYII=
Index: Kwiki-Notify-Mail-0.04/lib/Kwiki/Notify/Mail.pm
--- Kwiki-Notify-Mail-0.04/lib/Kwiki/Notify/Mail.pm.orig	2005-11-12 00:04:17 +0100
+++ Kwiki-Notify-Mail-0.04/lib/Kwiki/Notify/Mail.pm	2005-11-12 19:32:25 +0100
@@ -100,7 +100,7 @@
         close TEMPFILE;
     }
     else {
-        $msg->send;
+        $msg->send("sendmail", "@l_prefix@/sbin/sendmail -t -oi -oem");
     }
 }
 
Index: Kwiki-RecentChangesRSS-0.07/lib/Kwiki/RecentChangesRSS.pm
--- Kwiki-RecentChangesRSS-0.07/lib/Kwiki/RecentChangesRSS.pm.orig	2005-11-07 00:47:58 +0100
+++ Kwiki-RecentChangesRSS-0.07/lib/Kwiki/RecentChangesRSS.pm	2005-11-12 19:31:54 +0100
@@ -323,6 +323,7 @@
 rss_skipHours:
 rss_skipDays:
 rss_display_page: 0
+rss_icon: icons/xml.png
 __template/tt2/rss_button.html__
 <!-- BEGIN rss_button.html -->
 <a href="[% script_name %]?action=RecentChangesRSS" accesskey="c" title="RSS">
@@ -335,7 +336,7 @@
 <!-- END rss_button_icon.html -->
 __template/tt2/rss_screen.xml__
 [% xml %]
-__xml.png__
+__icons/xml.png__
 iVBORw0KGgoAAAANSUhEUgAAACQAAAAOBAMAAAC1GaP7AAAAMFBMVEU9GgL1sYOeQgLmhkL22sfd
 XQfcdC/7yaf+/Pt+MgLDUgbupHL+gi7+ZgP+lE/OZiLJkrvQAAAAAWJLR0QAiAUdSAAAAJlJREFU
 eNpjdDdgQAX/Gd9+QBP6w8SAAYBC/1YzcBdYr2eYvYG7ACTEAhQ98JVb9vRvBoG/DD+gqhga2Jmd
Index: Kwiki-Search-0.12/lib/Kwiki/Search.pm
--- Kwiki-Search-0.12/lib/Kwiki/Search.pm.orig	2004-12-16 00:38:12 +0100
+++ Kwiki-Search-0.12/lib/Kwiki/Search.pm	2005-11-12 19:31:54 +0100
@@ -72,7 +72,7 @@
 
 =cut
 __template/tt2/search_box.html__
-<form method="post" action="[% script_name %]" enctype="application/x-www-form-urlencoded" style="display: inline">
+<form method="post" action="[% script_name %]" enctype="application/x-www-form-urlencoded" class="search" style="display: inline">
 <input type="text" name="search_term" size="8" value="Search" onfocus="this.value=''" />
 <input type="hidden" name="action" value="search" />
 </form>
